Package org.apache.cayenne.access.jdbc

## Class RowDescriptor

- java.lang.Object
- - org.apache.cayenne.access.jdbc.RowDescriptor

-     public class RowDescriptor
      extends Object

  A descriptor of a result row obtained from a database.
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ColumnDescriptor[]` | `columns` |
    `protected ExtendedType[]` | `converters` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RowDescriptor()` | Creates an empty RowDescriptor.
    `` | `RowDescriptor​(ColumnDescriptor[] columns, ExtendedType[] converters)` | Creates a fully initialized RowDescriptor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ColumnDescriptor[]` | `getColumns()` | Returns column descriptors.
    `ExtendedType[]` | `getConverters()` | Returns extended types for columns.
    `int` | `getWidth()` | Returns a number of columns in a row.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### columns

          protected ColumnDescriptor[] columns

    - #### converters

          protected ExtendedType[] converters

  - ### Constructor Detail

    - #### RowDescriptor

          protected RowDescriptor()

      Creates an empty RowDescriptor. Intended mainly for testing and use by subclasses.

    - #### RowDescriptor

          public RowDescriptor​(ColumnDescriptor[] columns,
                               ExtendedType[] converters)

      Creates a fully initialized RowDescriptor.
      Since:
        3.0

  - ### Method Detail

    - #### getWidth

          public int getWidth()

      Returns a number of columns in a row.

    - #### getColumns

          public ColumnDescriptor[] getColumns()

      Returns column descriptors.

    - #### getConverters

          public ExtendedType[] getConverters()

      Returns extended types for columns.